Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.upgrade.actions
Class FreeClassObjectAction

    java.lang.Object
      oracle.ifs.admin.tools.upgrade.actions.AbstractUpgradeAction
          oracle.ifs.admin.tools.upgrade.actions.LibrarySessionAction
              oracle.ifs.admin.tools.upgrade.actions.FreeClassObjectAction

All Implemented Interfaces:
  UpgradeAction

    public class FreeClassObjectAction

extends LibrarySessionAction

Frees a classobject, after optionally freeing all its instances.

The classobject to be removed is specified by a property. As a result, upgrade actions can often use this class as is, without needing to add an action-specific subclass.

(Unpublished)

Field Summary
`protected static java.lang.String` | `PROPERTY_CLASSOBJECT` The property whose string value is the name of the classobject to free.
`protected static java.lang.String` | `PROPERTY_DROPTABLEDURINGPOSTUPGRADE` The property whose boolean value controls when the classobject's base table is dropped.
`protected static java.lang.String` | `PROPERTY_FREEINSTANCEBATCHSIZE` The property whose integer value specifies the batch size used in freeing instances of the classobject, if `FreeClassObjectAction.PROPERTY_FREEINSTANCES` is true.
`protected static java.lang.String` | `PROPERTY_FREEINSTANCES` The property whose boolean value indicates whether, during the upgrade phase, any existing instances of the classobject are to be freed.

Fields inherited from class oracle.ifs.admin.tools.upgrade.actions.LibrarySessionAction
`PROPERTY_PREVENTSESSIONTIMEOUTS`

Constructor Summary
`FreeClassObjectAction()`

Method Summary
`protected void` | `analyze(LibrarySession session)` Called by `analyze`.
`void` | `postUpgrade(LibrarySession session)` Called by `postUpgrade`.
`protected void` | `upgrade(LibrarySession session)` Called by `upgrade`.

Methods inherited from class oracle.ifs.admin.tools.upgrade.actions.LibrarySessionAction
`abortTransaction, analyze, postUpgrade, preUpgrade, preUpgrade, rollback, rollback, upgrade`

Methods inherited from class oracle.ifs.admin.tools.upgrade.actions.AbstractUpgradeAction
`getName, getProperties, getProperty, getUpgradeActionContext, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_CLASSOBJECT

    protected static final java.lang.String PROPERTY_CLASSOBJECT

  Description copied from class: `FreeClassObjectAction`
  The property whose string value is the name of the classobject to free.

  See Also:
    Constant Field Values
  (Unpublished)

### PROPERTY_FREEINSTANCES

    protected static final java.lang.String PROPERTY_FREEINSTANCES

  Description copied from class: `FreeClassObjectAction`
  The property whose boolean value indicates whether, during the upgrade phase, any existing instances of the classobject are to be freed.

  If false (the default), the upgrade phase will fail if there exist any instances of the classobject.

  See Also:
    Constant Field Values
  (Unpublished)

### PROPERTY_FREEINSTANCEBATCHSIZE

    protected static final java.lang.String PROPERTY_FREEINSTANCEBATCHSIZE

  Description copied from class: `FreeClassObjectAction`
  The property whose integer value specifies the batch size used in freeing instances of the classobject, if `FreeClassObjectAction.PROPERTY_FREEINSTANCES` is true.

  See Also:
    Constant Field Values
  (Unpublished)

### PROPERTY_DROPTABLEDURINGPOSTUPGRADE

    protected static final java.lang.String PROPERTY_DROPTABLEDURINGPOSTUPGRADE

  Description copied from class: `FreeClassObjectAction`
  The property whose boolean value controls when the classobject's base table is dropped.

  If false (the default), the base table is dropped during the upgrade phase; if true, it is dropped during the post-upgrade phase.

  See Also:
    Constant Field Values
  (Unpublished)

Constructor Detail

### FreeClassObjectAction

    public FreeClassObjectAction()

Method Detail

### analyze

    protected void analyze(LibrarySession session)
                    throws IfsException

  Description copied from class: `FreeClassObjectAction`
  Called by `analyze`.

  Subclasses should override this method to perform the analysis phase of the upgrade action.

  Overrides:
    `analyze` in class `LibrarySessionAction`
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

### upgrade

    protected void upgrade(LibrarySession session)
                    throws IfsException

  Description copied from class: `FreeClassObjectAction`
  Called by `upgrade`.

  Subclasses should override this method to perform the upgrade phase of the upgrade action.

  Overrides:
    `upgrade` in class `LibrarySessionAction`
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

### postUpgrade

    public void postUpgrade(LibrarySession session)
                     throws IfsException

  Description copied from class: `FreeClassObjectAction`
  Called by `postUpgrade`.

  Subclasses should override this method to perform the post-upgrade phase of the upgrade action.

  Overrides:
    `postUpgrade` in class `LibrarySessionAction`
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD